Get bond yield curve data
curl --request POST \
--url https://api.riskportal.activeviam.com/api/Bond/GetBondYieldCurveData \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"issuer_id": "issuer_id",
"mkt_data_date": "mkt_data_date",
"currency": "currency",
"debt_type": "debt_type"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/Bond/GetBondYieldCurveData"
payload = {
"issuer_id": "issuer_id",
"mkt_data_date": "mkt_data_date",
"currency": "currency",
"debt_type": "debt_type"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
issuer_id: 'issuer_id',
mkt_data_date: 'mkt_data_date',
currency: 'currency',
debt_type: 'debt_type'
})
};
fetch('https://api.riskportal.activeviam.com/api/Bond/GetBondYieldCurveData', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Bond/GetBondYieldCurveData",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'issuer_id' => 'issuer_id',
'mkt_data_date' => 'mkt_data_date',
'currency' => 'currency',
'debt_type' => 'debt_type'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Bond/GetBondYieldCurveData"
payload := strings.NewReader("{\n \"issuer_id\": \"issuer_id\",\n \"mkt_data_date\": \"mkt_data_date\",\n \"currency\": \"currency\",\n \"debt_type\": \"debt_type\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/Bond/GetBondYieldCurveData")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"issuer_id\": \"issuer_id\",\n \"mkt_data_date\": \"mkt_data_date\",\n \"currency\": \"currency\",\n \"debt_type\": \"debt_type\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Bond/GetBondYieldCurveData")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"issuer_id\": \"issuer_id\",\n \"mkt_data_date\": \"mkt_data_date\",\n \"currency\": \"currency\",\n \"debt_type\": \"debt_type\"\n}"
response = http.request(request)
puts response.read_body{
"yield_curve_id": "yield_curve_id",
"mkt_data_date": "mkt_data_date",
"fit_message": "fit_message",
"reference_yield_curve_data_line_plot": [
{
"bond_is_convertible": true,
"bond_name": "bond_name",
"maturity": 0,
"bond_mt_m_price": "bond_mt_m_price",
"reference_ytm_pp": 1.4658129805029452,
"expiry": "expiry",
"ytm_pp": 6.027456183070403,
"bond_id": "bond_id",
"is_ref_point": true
},
{
"bond_is_convertible": true,
"bond_name": "bond_name",
"maturity": 0,
"bond_mt_m_price": "bond_mt_m_price",
"reference_ytm_pp": 1.4658129805029452,
"expiry": "expiry",
"ytm_pp": 6.027456183070403,
"bond_id": "bond_id",
"is_ref_point": true
}
],
"issuer_name": "issuer_name",
"is_rolled": true,
"reference_yield_curve_id": "reference_yield_curve_id",
"reference_yield_curve_issuer_name": "reference_yield_curve_issuer_name",
"fit_status": "fit_status",
"yield_curve_data_scatter": [
{
"bond_is_convertible": true,
"bond_name": "bond_name",
"maturity": 0,
"bond_mt_m_price": "bond_mt_m_price",
"reference_ytm_pp": 1.4658129805029452,
"expiry": "expiry",
"ytm_pp": 6.027456183070403,
"bond_id": "bond_id",
"is_ref_point": true
},
{
"bond_is_convertible": true,
"bond_name": "bond_name",
"maturity": 0,
"bond_mt_m_price": "bond_mt_m_price",
"reference_ytm_pp": 1.4658129805029452,
"expiry": "expiry",
"ytm_pp": 6.027456183070403,
"bond_id": "bond_id",
"is_ref_point": true
}
],
"yield_curve_data_line_plot": [
{
"bond_is_convertible": true,
"bond_name": "bond_name",
"maturity": 0,
"bond_mt_m_price": "bond_mt_m_price",
"reference_ytm_pp": 1.4658129805029452,
"expiry": "expiry",
"ytm_pp": 6.027456183070403,
"bond_id": "bond_id",
"is_ref_point": true
},
{
"bond_is_convertible": true,
"bond_name": "bond_name",
"maturity": 0,
"bond_mt_m_price": "bond_mt_m_price",
"reference_ytm_pp": 1.4658129805029452,
"expiry": "expiry",
"ytm_pp": 6.027456183070403,
"bond_id": "bond_id",
"is_ref_point": true
}
],
"is_referenced": true,
"fit_date": "fit_date",
"reference_yield_curve_currency": "reference_yield_curve_currency",
"reference_yield_curve_debt_type": "reference_yield_curve_debt_type"
}Get bond yield curve data
POST
/
api
/
Bond
/
GetBondYieldCurveData
Get bond yield curve data
curl --request POST \
--url https://api.riskportal.activeviam.com/api/Bond/GetBondYieldCurveData \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"issuer_id": "issuer_id",
"mkt_data_date": "mkt_data_date",
"currency": "currency",
"debt_type": "debt_type"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/Bond/GetBondYieldCurveData"
payload = {
"issuer_id": "issuer_id",
"mkt_data_date": "mkt_data_date",
"currency": "currency",
"debt_type": "debt_type"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
issuer_id: 'issuer_id',
mkt_data_date: 'mkt_data_date',
currency: 'currency',
debt_type: 'debt_type'
})
};
fetch('https://api.riskportal.activeviam.com/api/Bond/GetBondYieldCurveData', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Bond/GetBondYieldCurveData",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'issuer_id' => 'issuer_id',
'mkt_data_date' => 'mkt_data_date',
'currency' => 'currency',
'debt_type' => 'debt_type'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Bond/GetBondYieldCurveData"
payload := strings.NewReader("{\n \"issuer_id\": \"issuer_id\",\n \"mkt_data_date\": \"mkt_data_date\",\n \"currency\": \"currency\",\n \"debt_type\": \"debt_type\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/Bond/GetBondYieldCurveData")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"issuer_id\": \"issuer_id\",\n \"mkt_data_date\": \"mkt_data_date\",\n \"currency\": \"currency\",\n \"debt_type\": \"debt_type\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Bond/GetBondYieldCurveData")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"issuer_id\": \"issuer_id\",\n \"mkt_data_date\": \"mkt_data_date\",\n \"currency\": \"currency\",\n \"debt_type\": \"debt_type\"\n}"
response = http.request(request)
puts response.read_body{
"yield_curve_id": "yield_curve_id",
"mkt_data_date": "mkt_data_date",
"fit_message": "fit_message",
"reference_yield_curve_data_line_plot": [
{
"bond_is_convertible": true,
"bond_name": "bond_name",
"maturity": 0,
"bond_mt_m_price": "bond_mt_m_price",
"reference_ytm_pp": 1.4658129805029452,
"expiry": "expiry",
"ytm_pp": 6.027456183070403,
"bond_id": "bond_id",
"is_ref_point": true
},
{
"bond_is_convertible": true,
"bond_name": "bond_name",
"maturity": 0,
"bond_mt_m_price": "bond_mt_m_price",
"reference_ytm_pp": 1.4658129805029452,
"expiry": "expiry",
"ytm_pp": 6.027456183070403,
"bond_id": "bond_id",
"is_ref_point": true
}
],
"issuer_name": "issuer_name",
"is_rolled": true,
"reference_yield_curve_id": "reference_yield_curve_id",
"reference_yield_curve_issuer_name": "reference_yield_curve_issuer_name",
"fit_status": "fit_status",
"yield_curve_data_scatter": [
{
"bond_is_convertible": true,
"bond_name": "bond_name",
"maturity": 0,
"bond_mt_m_price": "bond_mt_m_price",
"reference_ytm_pp": 1.4658129805029452,
"expiry": "expiry",
"ytm_pp": 6.027456183070403,
"bond_id": "bond_id",
"is_ref_point": true
},
{
"bond_is_convertible": true,
"bond_name": "bond_name",
"maturity": 0,
"bond_mt_m_price": "bond_mt_m_price",
"reference_ytm_pp": 1.4658129805029452,
"expiry": "expiry",
"ytm_pp": 6.027456183070403,
"bond_id": "bond_id",
"is_ref_point": true
}
],
"yield_curve_data_line_plot": [
{
"bond_is_convertible": true,
"bond_name": "bond_name",
"maturity": 0,
"bond_mt_m_price": "bond_mt_m_price",
"reference_ytm_pp": 1.4658129805029452,
"expiry": "expiry",
"ytm_pp": 6.027456183070403,
"bond_id": "bond_id",
"is_ref_point": true
},
{
"bond_is_convertible": true,
"bond_name": "bond_name",
"maturity": 0,
"bond_mt_m_price": "bond_mt_m_price",
"reference_ytm_pp": 1.4658129805029452,
"expiry": "expiry",
"ytm_pp": 6.027456183070403,
"bond_id": "bond_id",
"is_ref_point": true
}
],
"is_referenced": true,
"fit_date": "fit_date",
"reference_yield_curve_currency": "reference_yield_curve_currency",
"reference_yield_curve_debt_type": "reference_yield_curve_debt_type"
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Response
Success
Available options:
Derivitec.Web.Core.MarketData.ApiGetBondYieldCurveDataResponse, Derivitec.Web.Core Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?